Bug 962092 - [abrt] gnome-initial-setup-0.9-2.fc19: _clutter_stage_window_get_geometry: Process /usr/libexec/gnome-initial-setup-player was killed by signal 11 (SIGSEGV)
[abrt] gnome-initial-setup-0.9-2.fc19: _clutter_stage_window_get_geometry: Pr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:5227b08f70c94c3bc8535627853...
: CommonBugs
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-05-11 13:41 EDT by Leslie Satenstein
Modified: 2015-02-17 10:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:13:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.59 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: core_backtrace (1.65 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: dso_list (11.37 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: environ (1.59 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: maps (58.21 KB, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: open_fds (305 bytes, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-05-11 13:41 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2013-05-11 13:41:06 EDT
Description of problem:
Created user Guest.
Then logged to Guest, (system was generated with KDE, but Gnome Desktop was included after reboot.
When I logged to Guest, Gnome started with its introduction. I did not want to see it, I clicked on right corner Guest icon (menu)to logout.  
That crashed the presentation, but partially stopped the Gnome Introduction.
I relogged after selecting KDE as default interface.
It asked if I wanted to post this bug, and there you have the human trace of events.

We should be able to skip the presentation (the way Dropbox does it).

Version-Release number of selected component:
gnome-initial-setup-0.9-2.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup-player /usr/share/help/C/gnome-help/figures/gnome-yelp-intro.webm
crash_function: _clutter_stage_window_get_geometry
executable:     /usr/libexec/gnome-initial-setup-player
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1001
var_log_messages: May 11 13:30:50 localhost abrt[2851]: Saved core dump of pid 2823 (/usr/libexec/gnome-initial-setup-player) to /var/tmp/abrt/ccpp-2013-05-11-13:30:50-2823 (99106816 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _clutter_stage_window_get_geometry at ./clutter-stage-window.c:122
 #1 _clutter_stage_do_paint at ./clutter-stage.c:631
 #2 _clutter_stage_do_pick at ./clutter-stage.c:1547
 #3 _clutter_input_device_update at ./clutter-input-device.c:878
 #4 _clutter_process_event_details at ./clutter-main.c:2634
 #5 _clutter_process_event at ./clutter-main.c:2824
 #6 _clutter_stage_process_queued_events at ./clutter-stage.c:1029
 #7 master_clock_process_events at ./clutter-master-clock.c:366
 #8 clutter_clock_dispatch at ./clutter-master-clock.c:583
 #13 clutter_main at ./clutter-main.c:980
Comment 1 Leslie Satenstein 2013-05-11 13:41:10 EDT
Created attachment 746603 [details]
File: backtrace
Comment 2 Leslie Satenstein 2013-05-11 13:41:12 EDT
Created attachment 746604 [details]
File: cgroup
Comment 3 Leslie Satenstein 2013-05-11 13:41:14 EDT
Created attachment 746605 [details]
File: core_backtrace
Comment 4 Leslie Satenstein 2013-05-11 13:41:16 EDT
Created attachment 746606 [details]
File: dso_list
Comment 5 Leslie Satenstein 2013-05-11 13:41:18 EDT
Created attachment 746607 [details]
File: environ
Comment 6 Leslie Satenstein 2013-05-11 13:41:20 EDT
Created attachment 746608 [details]
File: limits
Comment 7 Leslie Satenstein 2013-05-11 13:41:22 EDT
Created attachment 746609 [details]
File: maps
Comment 8 Leslie Satenstein 2013-05-11 13:41:24 EDT
Created attachment 746610 [details]
File: open_fds
Comment 9 Leslie Satenstein 2013-05-11 13:41:26 EDT
Created attachment 746611 [details]
File: proc_pid_status
Comment 10 Jens Petersen 2013-06-06 21:43:04 EDT
Saw this again today when logging into a second user account for first time.
Comment 11 Adam Williamson 2013-06-18 19:32:52 EDT
Saw this in the same scenario as Jens - I was testing https://bugzilla.redhat.com/show_bug.cgi?id=968951 , I saw this crash after completing g-i-s as the second user account.
Comment 12 Adam Williamson 2013-06-20 13:07:02 EDT
Discussed at 2013-06-20 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-20/f19final-blocker-review-7.1.2013-06-20-15.01.log.txt . Accepted as a freeze exception issue: we haven't quite pinned down the cases where this happens and those where it doesn't, but any crash that's somewhat frequently observed on first boot is a problem we should try and fix.
Comment 13 Leslie Satenstein 2013-06-28 15:37:16 EDT
Adam, the problem that I find worse, much worse, is the window with the selection of country and city.

If one misses a city selection and tries a second time, I am told, that the bottom of the window list is below screen presentation.

What this means is that if I select Montreal, and I miss it and then go back to confirm selection, I can't get back to the row with Montreal.

There is / are bug reports about this problem, long outstanding since F19 day one.

It would be nice if that bug was corrected.
Comment 14 Adam Williamson 2013-06-28 15:40:15 EDT
If there are outstanding reports on the problem you mention, then why are you commenting on a completely different bug? You're just confusing this bug report. Please don't do that.
Comment 15 Steve Felix 2013-08-28 00:14:10 EDT
following yum update it just occurred

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup-player /usr/share/help/C/gnome-help/figures/gnome-yelp-intro.webm
crash_function: _clutter_stage_window_get_geometry
executable:     /usr/libexec/gnome-initial-setup-player
kernel:         3.9.5-301.fc19.x86_64
package:        gnome-initial-setup-0.12-1.fc19
reason:         Process /usr/libexec/gnome-initial-setup-player was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 17 Fedora End Of Life 2015-01-09 13:06:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:13:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.